package GSubEditor;

use Gtk2 '-init';
use strict;
use GSubEditor::config;
use GSubEditor::interface;

use 5.008004;
use strict;
use warnings;

require Exporter;
use AutoLoader qw(AUTOLOAD);

our @ISA = qw(Exporter);

# Items to export into callers namespace by default. Note: do not export
# names by default without a very good reason. Use EXPORT_OK instead.
# Do not simply export all your public functions/methods/constants.

# This allows declaration	use GSubEditor ':all';
# If you do not need this, moving things directly into @EXPORT or @EXPORT_OK
# will save memory.
our %EXPORT_TAGS = ( 'all' => [ qw(
	
) ] );

our @EXPORT_OK = ( @{ $EXPORT_TAGS{'all'} } );

our @EXPORT = qw(
	
);

our $VERSION = '1.0rc2';


# Preloaded methods go here.

# Autoload methods go after =cut, and are processed by the autosplit program.
$main::version=0.8;
$main::version="1.0rc2";

sub main
  {
    my $line;

set_locale Gtk2;  # Locales
init Gtk2;        # Gtk-Perl


my $config_dir = "$ENV{'HOME'}/.gsubeditor";
my $config_file = "$config_dir\/config";

#read prefs
#if not .gsubeditor directory
if(!(-e $config_dir))
{
  system("mkdir $config_dir");
}

&GSubEditor::config::setConfigFile($config_file);

#if not config file
if(!(-e $config_file))
{
  &GSubEditor::config::saveConfigFile();
}

&GSubEditor::config::openConfigFile();

&GSubEditor::interface::createGUI();

main Gtk2;

}

&main();
exit (0);

1;
__END__

=head1 NAME

GSubEditor - Perl extension only for gsubeditor script

=head1 SYNOPSIS

  use GSubEditor;

=head1 DESCRIPTION

  Is used by gsubeditor to manage subtitles with Gtk2-interface.

=head2 EXPORT

None by default.

=head1 SEE ALSO

Subtitle(pm3), GSubEditor::callbacks(pm3), GSubEditor::interface(pm3), GSubEditor::locale(pm3), GSubEditor::onfig(pm3)

http://www.kapsi.fi/~jvaltane/subtitle/
http://www.kapsi.fi/~jvaltane/gsubeditor/

=head1 AUTHOR

Joni Valtanen, E<lt>jvaltane@kapsi.fiE<gt>

=head1 COPYRIGHT AND LICENSE

Copyright (C) 2006 by Joni Valtanen

This library is free software; you can redistribute it and/or modify
it under the GNU General Public Licence version 2.

Read COPYING from the package for further information.


=cut
