package GSubEditor::config;

use 5.008004;
use strict;
use warnings;

require Exporter;
use AutoLoader qw(AUTOLOAD);

our @ISA = qw(Exporter);

# Items to export into callers namespace by default. Note: do not export
# names by default without a very good reason. Use EXPORT_OK instead.
# Do not simply export all your public functions/methods/constants.

# This allows declaration	use GSubEditor ':all';
# If you do not need this, moving things directly into @EXPORT or @EXPORT_OK
# will save memory.
our %EXPORT_TAGS = ( 'all' => [ qw(
	
) ] );

our @EXPORT_OK = ( @{ $EXPORT_TAGS{'all'} } );

our @EXPORT = qw(
	
);

our $VERSION = '0.01';


# Preloaded methods go here.

# Autoload methods go after =cut, and are processed by the autosplit program.

my $importfps=25.0;
my $use_mplayer=1;
my $join_stime=10;
my $lc_language="LANG";
my $wformat="JACOSUB";

my $config_file;

sub setPrefs
  {
    my (@prefs) = @_;

    $importfps=$prefs[0];
    $use_mplayer=$prefs[1];
    $join_stime=$prefs[2];
    $lc_language=$prefs[3];
    $wformat=$prefs[4];

    return 0;
  }

sub getPrefs
  {
    my @prefs = ($importfps, $use_mplayer, $join_stime, $lc_language, $wformat);
    return @prefs;
  }

sub setConfigFile
  {
    my ($cf) = @_;
    $config_file = $cf;
    return 0;
  }

# Open configfile
sub openConfigFile()
{

  my $language;
  my $line;
  my @lang;
  my @line_t0;
  my @line_t1;
  my @line_t2;

open(IFILE, $config_file);
while ($line =  readline(IFILE)) {
  @line_t0 = split(/#/, $line);
  @line_t0 = split(/;/, $line_t0[0]);
  @line_t1 = split(/=/, $line_t0[0]);
  if($line_t1[0] eq "mplayer")
    {
      if($line_t1[1] eq "true")
	{
	  $use_mplayer=1;
	}
      else
	{
	  $use_mplayer=0;
	}
    }
  if($line_t1[0] eq "importfps")
    {
      if($line_t1[1])
	{
	  $importfps=$line_t1[1];
	}
    }
  if($line_t1[0] eq "jointime")
    {
      if($line_t1[1])
	{
	  $join_stime=$line_t1[1];
	}
    }
  if($line_t1[0] eq "wformat")
    {
      if($line_t1[1])
	{
	  $wformat=$line_t1[1];
	}
    }
  if($line_t1[0] eq "language")
    {
      if($line_t1[1])
	{
	  $lc_language = $line_t1[1];
	}
    }
  if( $lc_language )
    {
      if( $lc_language eq "LANG" )
	{
	   @lang = split(/_/, $ENV{'LANG'});
	   $lc_language = $lang[0];
	}
    }
}
close(IFILE);

}

#saves Configfile
sub saveConfigFile
{
  my $mp;
  my $oldout;
  my $line;

  if($use_mplayer)
    {
      $mp="true";
    }
  else
    {
      $mp="false";
    }

   open $oldout, ">&STDOUT" or die "Can't duplicate STDOUT: $!";
   open STDOUT, ">$config_file" or die("Couldn't open $config_file\n") ;

   $line = "mplayer=$mp;
importfps=$importfps;
jointime=$join_stime;
language=$lc_language;
wformat=$wformat;
";
   print "$line";

   close STDOUT;
   open STDOUT, ">&", $oldout or die "Can't restore old STDOUT: $!";
}

1;
__END__

=head1 NAME

GSubEditor - Perl extension only for gsubeditor script

=head1 SYNOPSIS

  use GSubEditor;

=head1 DESCRIPTION

  Is used by gsubeditor to manage subtitles with Gtk2-interface.

=head2 EXPORT

None by default.

=head1 SEE ALSO

Subtitle(pm3), GSubEditor(pm3), GSubEditor::callbacks(pm3), GSubEditor::locale(pm3), GSubEditor::interface(pm3)

http://www.kapsi.fi/~jvaltane/subtitle/
http://www.kapsi.fi/~jvaltane/gsubeditor/

=head1 AUTHOR

Joni Valtanen, E<lt>jvaltane@kapsi.fiE<gt>

=head1 COPYRIGHT AND LICENSE

Copyright (C) 2006 by Joni Valtanen

This library is free software; you can redistribute it and/or modify
it under the GNU General Public Licence version 2.

Read COPYING from the package for further information.


=cut
