
package GSubEditor::locale;

use 5.008004;
#use strict;
use warnings;

require Exporter;
use AutoLoader qw(AUTOLOAD);

our @ISA = qw(Exporter);

# Items to export into callers namespace by default. Note: do not export
# names by default without a very good reason. Use EXPORT_OK instead.
# Do not simply export all your public functions/methods/constants.

# This allows declaration	use GSubEditor ':all';
# If you do not need this, moving things directly into @EXPORT or @EXPORT_OK
# will save memory.
our %EXPORT_TAGS = ( 'all' => [ qw(
	
) ] );

our @EXPORT_OK = ( @{ $EXPORT_TAGS{'all'} } );

our @EXPORT = qw(
	
);

our $VERSION = '1.0';


# Preloaded methods go here.

# Autoload methods go after =cut, and are processed by the autosplit program.

my $lc_language="";
our @language = ();

sub SetLanguage
  {
    my ($lang) = @_;
    $lc_language = $lang;
  }

sub LoadLanguages
  {
    my $line = "GSubEditor/languages/$lc_language.lang.pl";
#    print $line;

    require "GSubEditor/languages/en\.lang\.pl";

    if($lc_language)
    {
      my $dir = substr($INC{'GSubEditor/languages/en.lang.pl'}, 0, - 10);
      if(-e "$dir"."$lc_language.lang.pl")
	{
	  require $line;	
	}
    }
  }

sub GetText
  {
   my ($word) = @_;

   return $language{$word};
  }

sub GetLanguages
  {
    my @langs_t;
    my @langs_t1;
    my $l;
    my @langs;
    my $i=0;
    my $dir = substr($INC{'GSubEditor/languages/en.lang.pl'}, 0, - 10);
    opendir(DH, $dir) or die("Cannot open $dir");
    @langs_t=readdir(DH);
    closedir(DH);

  foreach $l (@langs_t)
  {
    if( !( $l eq "." ) && !( $l eq ".." ) )
    {
        @langs_t1=split(/\./, $l);
	$langs[$i] = $langs_t1[0];
	$i++;
    }
  }

    return ($i, @langs);
  }
1;
__END__

=head1 NAME

GSubEditor - Perl extension only for gsubeditor script

=head1 SYNOPSIS

  use GSubEditor;

=head1 DESCRIPTION

  Is used by gsubeditor to manage subtitles with Gtk2-interface.

=head2 EXPORT

None by default.

=head1 SEE ALSO

Subtitle(pm3), GSubEditor(pm3), GSubEditor::config(pm3), GSubEditor::callbacks(pm3), GSubEditor::interface(pm3)

http://www.kapsi.fi/~jvaltane/subtitle/
http://www.kapsi.fi/~jvaltane/gsubeditor/

=head1 AUTHOR

Joni Valtanen, E<lt>jvaltane@kapsi.fiE<gt>

=head1 COPYRIGHT AND LICENSE

Copyright (C) 2006 by Joni Valtanen

This library is free software; you can redistribute it and/or modify
it under the GNU General Public Licence version 2.

Read COPYING from the package for further information.


=cut
